V3 Bulk Update Internal Users

Use this API to perform an update in bulk to list of Encompass internal users or an update to a single Encompass internal user. Supported action is 'Move' - To move one or more users from their current organization to a new organization.

This API added with the 24.2 release of Encompass.

Usage Notes

  • Access Rights
    • Only administrators (admin account, Super Administrator persona, and/or Administrator persona) or non-admin users with the Settings “Organizations/User” persona can manage/move user accounts.
    • A super admin user cannot be moved from the root/top-level organization (orgId=0). If you attempt to move a super admin, the call will fail.
    • The calling user only has access to manage/move users within their same organization, or lower child organizations.
    • The user cannot move their own user account.
  • For action=move, the request payload can only contain the “id” field. If any other fields are passed, the request will fail.
  • Multiple users (ids) can be moved in a single request.
    • All users being moved must currently be in the same source organization (sourceOrgId).
    • All users being moved will be moved to the same target organization (targetOrgId).
  • When moving users to a different organization, there is no impact to assigned loans for that user.
    • No updates are made to the Loan Originator branch/office information (organization) on the loan, when the assigned owner of the loan is moved to a new organization. The loan retains the Loan Originator branch/office information that was on the loan prior to the user being moved.
Query Params
string

Action to be performed while updating the user. Note: The only supported action at this time is move.

integer

The current organization ID in which the given list of users exists.

integer

The destination organization ID to which the given list of users will be moved.

Body Params
string
required

Required. Unique Identifier of the user. The ID the user will type when logging in. The ID can’t start with a period (.).
The following characters can’t be used:

  • \ (backslash)
  • / (forward slash)
  • : (colon)
  • * (asterisk)
  • ? (question mark)
  • (quotation mark)
  • < (less than)
  • > (greater than)
    Max length: 16
Headers
string
required

Bearer token

Responses
204

No Content

400

Bad Request

403

Forbidden

Language
URL
LoadingLoading…